Get Docket Search Status
curl --request GET \
--url https://api.baselayer.com/docket_searches/{search_request_id}/status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/docket_searches/{search_request_id}/status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/docket_searches/{search_request_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Business Docket Search
Get Docket Search Status
Fetches the state of the docket search request with the given UUID.
GET
/
docket_searches
/
{search_request_id}
/
status
Get Docket Search Status
Authorizations
Path Parameters
The unique identifier of the litigation/bankruptcy search request to fetch the state for.
Example:
"bf1ee476-66db-4439-b4fa-53807a742d28"
Response
Successful Response
Represents a docket search state.
The identifier of this docket search request.
The current state of the docket search request.
Available options:
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED The identifier of the business the search was performed for.
The identifier of the person the search was performed for.
The identifier of the business search the docket search was performed for